PUT /api/v3/bill/moveBills

Moves bills to a different account and meters, matching source to destination by commodity

MoveBillsToAccountV3 Permissions: MoveExistingBills (Manage)
Use this endpoint to reassign bills to a different account. Source meters are matched to destination meters by commodity. Options control whether account/meter GL codes and linked emissions records are updated. WARNING: If emissions record scope categories and GHG factors are updated, any notes and attachments on those records will be lost. Use GET /bill/possibleDestinationAccounts first to discover valid destination accounts.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillActionMove
Property Description Type
accountId Destination Account Id Required (defined) integer (int32)
accountMeterIds Destination AccountMeter Ids Required (defined) integer[]
ids Ids of bills to be moved Cannot be Empty Required (defined) integer[]
updateAccountGLs Use Account General Ledger from destination account? Required (defined) boolean
updateMeterGLs Use Meter General Ledger from destination meter? Required (defined) boolean
updateRecordScopeAndFactor If both the source and destination meter is linked to an emissions source and there are records generated from the bills being moved, update the scope category and GHG factor on those records to the destination meter defaults? Defaults to true for GHG Lite users, otherwise false. Required (defined) boolean
Example Request Body application/json
{  "accountId": 1,  "accountMeterIds": [
    1
  ],  "ids": [
    1
  ],  "updateAccountGLs": false,  "updateMeterGLs": false,  "updateRecordScopeAndFactor": false
}

Responses

204 No Content The request succeeded. No content is returned in the response body.